Retrieve audit groups and group records
Retrieves audit groups and group records, providing information about existing groups and their associated records. You can filter the results using query parameters to focus on specific audit data.
HTTP method and endpoint
GET /audit/auditserver
Usage notes
You can optionally filter by query parameters.
Error
Status: Default, Default response
| Name | Type | Required | Description |
|---|---|---|---|
_id |
integer |
True |
|
actionName |
string |
True |
Audit group name |
actionParameters |
string |
False |
Parameters of the user action |
containsFailedRecords |
boolean |
False |
|
containsRecords |
boolean |
False |
|
endDate |
integer |
False |
End date |
errorMessage |
string |
False |
Audit failure information (if relevant) |
id |
string |
True |
Audit group public ID |
parentId |
False |
||
records |
array[AuditGroupSummaryRecord] |
True |
List of audit records |
requestId |
string |
True |
Request ID of an action associated with the audit group |
startDate |
integer |
True |
Start date |
status |
string |
False |
Audit group status |
tenantName |
string |
False |
Name of the tenant |
userId |
string |
False |
|
userName |
string |
False |
Name of the user who performed the action |
version |
string |
True |
Version of NetApp Console used to create this audit |
workingEnvironmentId |
string |
False |
|
workingEnvironmentName |
string |
False |
Name of the system related to the user action |
Example error response
{
"_id": 0,
"actionName": "string",
"actionParameters": "string",
"errorMessage": "string",
"id": "string",
"records": [
{
"actionName": "string",
"count": 0,
"date": 0,
"errorMessage": "string",
"id": "string",
"parameters": "string",
"status": "string"
}
],
"requestId": "string",
"startDate": 0,
"status": "string",
"tenantName": "string",
"userId": "string",
"userName": "string",
"version": "string",
"workingEnvironmentId": "string",
"workingEnvironmentName": "string"
}
Definitions
See Definitions
parentId
AuditGroupSummaryRecord
| Name | Type | Required | Description |
|---|---|---|---|
actionName |
string |
True |
Action |
count |
integer |
True |
Aggregated count of similar records |
date |
integer |
True |
Date |
errorMessage |
string |
False |
Audit failure information (if relevant) |
id |
string |
True |
Audit record public ID |
parameters |
string |
False |
Action parameters |
status |
string |
True |
Status |